Bug 456144 - Middle click closes windows in `present windows` and `overview`, while it pins them on all VD in the `grid` effect
Summary: Middle click closes windows in `present windows` and `overview`, while it pin...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: effects-various (show other bugs)
Version: 5.25.1
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2022-06-29 20:06 UTC by postix
Modified: 2022-07-01 14:59 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.26


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description postix 2022-06-29 20:06:11 UTC
SUMMARY

Middle clicking on a window closes it in `present windows` and `overview`, while it copies it to all VD in the `grid` effect.
It would be convenient if the shortcuts were unified and both features were easily accessible in all three effects.

SOFTWARE/OS VERSIONS
Operating System: openSUSE Tumbleweed 20220628
KDE Plasma Version: 5.25.1
KDE Frameworks Version: 5.95.0
Qt Version: 5.15.2
Graphics Platform: Wayland
Comment 1 Nate Graham 2022-06-30 16:04:36 UTC
Agreed.
Comment 2 Bug Janitor Service 2022-06-30 17:28:28 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/2596
Comment 3 Felipe Kinoshita 2022-06-30 20:23:22 UTC
Git commit 524e65813b78e59115a2345fd8b438171d9b0aac by Felipe Kinoshita.
Committed on 30/06/2022 at 20:23.
Pushed by fhek into branch 'master'.

effects/desktopgrid: Close windows on middle click

This makes it so that the windowview/overview/desktopgrid effects
all use the middle mouse button to close windows.

The previous behavior of pinning window is now assigned to the
right mouse button.

M  +8    -7    src/effects/desktopgrid/qml/DesktopView.qml

https://invent.kde.org/plasma/kwin/commit/524e65813b78e59115a2345fd8b438171d9b0aac